删除指定的配置文件。 支持的平台:仅窗口 签名工 务 局: object.DeleteProfile ProfileName
返回值(RetVal)无返回值。 言论没有额外的评论。 例子工 务 局: Sub Example_DeleteProfile() ' This example deletes a profile. Dim preferences As AcadPreferences Dim strProfileToDelete As String Set preferences = ThisDrawing.Application.preferences ' Specify the profile to delete. strProfileToDelete = "TestProfile" ' Delete the profile ' The call will fail if "TestProfile" does not exist or ' if "TestProfile" is the current profile. On Error GoTo Error preferences.Profiles.DeleteProfile strProfileToDelete Exit Sub Error: MsgBox "DeleteProfile of " & strProfileToDelete & " failed. " & Err.Description, , "DeleteProfile Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_DeleteProfile() ;; This example deletes a profile. (setq acadObj (vlax-get-acad-object)) (setq preferences (vla-get-Preferences acadObj)) ;; Specify the profile to delete. (setq strProfileToDelete "TestProfile") (vla-CopyProfile (vla-get-Profiles preferences) "<<Unnamed Profile>>" strProfileToDelete) (alert (strcat "Profile " strProfileToDelete " created from <<Unnamed Profile>>.")) ;; Delete the profile ;; The call will fail if "TestProfile" does not exist or ;; if "TestProfile" is the current profile. (vla-DeleteProfile (vla-get-Profiles preferences) strProfileToDelete) (alert (strcat "Profile " strProfileToDelete " deleted.")) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:46
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.